# Get a fault template yaml

Get a fault template yaml based on revision

Endpoint: GET /gateway/chaos/manager/api/rest/faulttemplates/{identity}/yaml
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `hubIdentity` (string, required)
    reference of the hub i.e. hub ID

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `revision` (string, required)
    revision of the 1st fault template

## Path parameters:

  - `identity` (string, required)
    identity of the fault

## Response 200 fields (application/json):

  - `correlationID` (string)

  - `template` (string)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


